Loading...
Searching...
No Matches
L4::Triggerable Struct Reference

Interface that allows an object to be triggered by some source. More...

`#include <irq>`

Inheritance diagram for L4::Triggerable:
Collaboration diagram for L4::Triggerable:

## Public Member Functions

l4_msgtag_t | trigger (l4_utcb_t *utcb=l4_utcb()) noexcept
| Trigger the object.
Public Member Functions inherited from L4::Irq_eoi
l4_msgtag_t | unmask (unsigned irqnum, l4_umword_t *label=0, l4_timeout_t to=L4_IPC_NEVER, l4_utcb_t *utcb=l4_utcb()) noexcept
| Unmask the given interrupt line.

## Additional Inherited Members

Protected Types inherited from L4::Kobject_t< Triggerable, Irq_eoi, L4_PROTO_IRQ >
typedef Triggerable | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Triggerable > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, typename Irq_eoi::__Iface_list > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Member Functions inherited from L4::Kobject_t< Triggerable, Irq_eoi, L4_PROTO_IRQ >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Static Protected Member Functions inherited from L4::Kobject_t< Triggerable, Irq_eoi, L4_PROTO_IRQ >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.

## Detailed Description

Interface that allows an object to be triggered by some source.

The interface specifies no semantics for the trigger operation, this is defined by derived objects.

This interface is usually used in conjunction with L4::Icu.

Definition at line 79 of file irq.

## Member Function Documentation

## trigger()

l4_msgtag_t L4::Triggerable::trigger | ( | l4_utcb_t * | utcb = l4_utcb() | ) |

inlinenoexcept

Trigger the object.

Parameters

  utcb | UTCB to be used for this operation, shall be the UTCB of the calling thread. See l4_utcb.

Returns
  Syscall return tag for a send-only operation, this means there is no return value except L4_MSGTAG_ERROR indicating success or failure of the send operation. Use l4_ipc_error() to check for errors and do not use l4_error().

Definition at line 91 of file irq.

References L4::Kobject::cap(), and l4_irq_trigger_u().

Referenced by L4::Semaphore::up().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- l4/sys/irq